| Home >> All >> com >> jcorporate >> expresso >> core >> controller >> [ session Javadoc ] |
com.jcorporate.expresso.core.controller.session: Javadoc index of package com.jcorporate.expresso.core.controller.session.
Package Samples:
com.jcorporate.expresso.core.controller.session: This package contains the object defining the "Controller" object, an important component of Expresso that should be used to encapsulate all user interaction sequences.
Classes:
PersistentSession: A PersistentSession is simply a place to stash some values between states of a controller object. Different environments may employ different ways of doing this - the simplest being SimplePersistentSession, where a hashtable does all the required work. The typical way to use a PersistentSession is within a controller object as part of your state handler. You do not instantiate it directly, the controller framework instantiates the appropriate kind of session for you. [Unless you're directly creating a controller yourself, such as in a command line environment, in which case, you would set the session ...
HTTPPersistentSession: A HTTPPersistentSession is simply a place to stash some values between states of a controller object. Different environments may employ different ways of doing this - the simplest being this one, where a hashtable does all the required work. A servlet environment must use HTTPPersistentSession , which stores it's values in the HTTPSession for storage from one invokation to the next. If you are inside a controller environment, then call ControllerRequest.getSession() to get a PersistentSession object, and do not install this class directly. See the PersistentSession javadoc documentation for an ...
SimplePersistentSession: This is an implementation of PersistentSession that is useful for command line usage. The code containing the controller should hand the controller an instantiated SimplePersistentSession so that the state handlers can use ControllerRequest.getSession() and simply use it without any cares in the world. Example Usage: SimplePersistentSession session = new SimplePersistentSession(); Controller con = ConfigManager.getControllerFactory().getController( controllerName); ControllerRequest params = new ControllerRequest(); params.setUid(3); params.setSession(mySession);
| Home | Contact Us | Privacy Policy | Terms of Service |